批量查询 Suno 任务
curl --request POST \
--url https://kaienapi.com/suno/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"task_xxx",
"task_yyy"
]
}
'import requests
url = "https://kaienapi.com/suno/fetch"
payload = { "ids": ["task_xxx", "task_yyy"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['task_xxx', 'task_yyy']})
};
fetch('https://kaienapi.com/suno/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://kaienapi.com/suno/fetch"
payload := strings.NewReader("{\n \"ids\": [\n \"task_xxx\",\n \"task_yyy\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}批量查询 Suno 任务
批量查询多个 Suno 任务状态。
查询范围
多个音乐任务同时运行、任务面板集中刷新状态、一次请求更新多条歌曲记录时,使用批量查询更稳。
查询顺序
一次传入多个任务 ID,批量更新状态。单个任务详情页使用 GET /suno/fetch/{id}。任务完成或失败后停止轮询。
POST
/
suno
/
fetch
批量查询 Suno 任务
curl --request POST \
--url https://kaienapi.com/suno/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"task_xxx",
"task_yyy"
]
}
'import requests
url = "https://kaienapi.com/suno/fetch"
payload = { "ids": ["task_xxx", "task_yyy"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['task_xxx', 'task_yyy']})
};
fetch('https://kaienapi.com/suno/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://kaienapi.com/suno/fetch"
payload := strings.NewReader("{\n \"ids\": [\n \"task_xxx\",\n \"task_yyy\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}⌘I